//
// Attribute.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct Attribute: Codable, JSONEncodable, Hashable {

    public var name: String?
    public var confidence: Double?
    public var value: [Double]?

    public init(name: String? = nil, confidence: Double? = nil, value: [Double]? = nil) {
        self.name = name
        self.confidence = confidence
        self.value = value
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case name
        case confidence
        case value
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(name, forKey: .name)
        try container.encodeIfPresent(confidence, forKey: .confidence)
        try container.encodeIfPresent(value, forKey: .value)
    }
}

